%define packname  maanova
%define bioc      2.4
%define Rversion  2.9.0

Name:             R-%{packname}
Version:          1.14.0 
Release:          1%{?dist}
Summary:          Analysis of N-dye Micro Array using mixed model effect
Summary(fr):      Analise de puce à ADN à N marqueurs par different modèle

Group:            Applications/Productivity
License:          GPLv2+ 
URL:              http://www.bioconductor.org/packages/%{bioc}/bioc/html/maanova.html
Source0:          http://www.bioconductor.org/packages/%{bioc}/bioc/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:         R-qvalue R >= %{Rversion}
Requires(post):   R
Requires(postun): R
BuildRequires:    R >= %{Rversion} tetex-latex R-qvalue R-devel

%description
Analysis of N-dye Micro Array experiment using mixed model effect
Containing analysis of variance, permutation and bootstrap, cluster 
and consensus tree

%description -l fr
Analise de puce à ADN par l'utilisation de différent modèle.
Contient une analise de variance, par permutation et par substitution,
permet de faire d'estimer cluster et arbre relationnel

%prep
%setup -c -q -n %{packname}

%build

%install
%{__rm} -rf %{buildroot}

chmod -x %{packname}/inst/*.txt
chmod -x %{packname}/src/*.c
%{__sed} -i -e 's/\r$//'  %{packname}/DESCRIPTION
# With this it can build, but leads to lot of warning
# therefore I am not sure this package will be updated
%{__sed} -i -e 's/snow//'  %{packname}/DESCRIPTION
%{__sed} -i -e 's/\r$//'  %{packname}/inst/doc/abf1.tex
%{__sed} -i -e 's/\r$//'  %{packname}/inst/doc/maanova.blg
%{__sed} -i -e 's/\r$//'  %{packname}/inst/doc/camda.tex
%{__sed} -i -e 's/\r$//'  %{packname}/inst/doc/maanova.bbl
%{__sed} -i -e 's/\r$//'  %{packname}/inst/doc/intro.tex


mkdir -p %{buildroot}%{_libdir}/R/library ; R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library

# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
%{__rm} -rf %{buildroot}%{_libdir}/R/library/R.css

chmod -x %{buildroot}%{_libdir}/R/library/maanova/TODO.txt
chmod -x %{buildroot}%{_libdir}/R/library/maanova/STATUS.txt
chmod -x %{buildroot}%{_libdir}/R/library/maanova/README.txt
chmod -x %{buildroot}%{_libdir}/R/library/maanova/LICENSE.txt
chmod -x %{buildroot}%{_libdir}/R/library/maanova/doc/maanova.Rnw

%check
%{_bindir}/R CMD check %{packname}

%clean
%{__rm} -rf %{buildroot}

%post 
%{_R_make_search_index}

%postun 
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
%dir %{_libdir}/R/library/%{packname}
%{_libdir}/R/library/%{packname}/CONTENTS
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/README.txt
%{_libdir}/R/library/%{packname}/TODO.txt
%{_libdir}/R/library/%{packname}/STATUS.txt
%{_libdir}/R/library/%{packname}/LICENSE.txt
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/R/library/%{packname}/demo
%{_libdir}/R/library/%{packname}/data
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/R-ex
%{_libdir}/R/library/%{packname}/help
%doc %{_libdir}/R/library/%{packname}/latex
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/man


%changelog
* Sat Aug 01 2009 pingou <pingou@pingoured.fr> - 1.14.0-1
- Update to 1.14.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 27 2008 Pingou <pingoufc4@yahoo.fr> 1.12.0-1
- Update to 1.12.0 for R >= 2.8.0

* Fri May 02 2008 Pingou <pingoufc4@yahoo.fr> 1.10.0-1
- Update to bioconductor 2.2

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.9.0-2
- Autorebuild for GCC 4.3

* Wed Jan 16 2008 Pingou <pingoufc4@yahoo.fr> 1.9.0-1
- Update to version 1.9.0

* Sat Jan 05 2008 Pingou <pingoufc4@yahoo.fr> 1.8.0-1
- Update to bioconductor 2.1 and maanova 1.8.0

* Sun Aug 03 2007 Pingou <pingoufc4@yahoo.fr> 1.4.0-3
- Add the post and post(un) section

* Tue Jul 10 2007 Pingou <pingoufc4@yahoo.fr> 1.4.0-2
- Change on the %%post and %%postun to fit the packaging guidelines
- Change on the %%prep section to fit the guidelines

* Mon Jun 24 2007 Pingou <pingoufc4@yahoo.fr> 1.4.0-1
- Change in %%doc to avoid redundancy

*Wed May 23 2007 pingou <pingoufc4@yahoo.fr> 1.4.0-0.7
- Add the %%check section

*Sun May 06 2007 pingou <pingoufc4@yahoo.fr> 1.4.0-0.6
- Remove previously exclude condition

*Sun Apr 22 2007 pingou <pingoufc4@yahoo.fr> 1.4.0-0.5
- Correction in the licence (GPLv2) and in the BR>=2.3.0

*Wed Apr 18 2007 Pingou <pingoufc4@yahoo.fr> 1.4.0-0.4
- Changes on the install to set the correct right to the files (ch mod)

*Wed Apr 18 2007 Pingou <pingoufc4@yahoo.fr> 1.4.0-0.3
- Add of the french translation

*Wed Apr 18 2007 Pingou <pingoufc4@yahoo.fr> 1.4.0-0.2
- Change in prep, install clean 
- add of post postun

*Wed Apr 18 2007 Pingou <pingoufc4@yahoo.fr> 1.4.0-0.1
- Build of the rpm
